Bug 853755 - FTBFS - installed but unpackaged file
FTBFS - installed but unpackaged file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: OpenSceneGraph (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On: 854110
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 13:14 EDT by Zenon Panoussis
Modified: 2012-12-20 11:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:20:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2012-09-02 13:14:22 EDT
Building 3.0.1-9.src.rpm ends with

error: Installed (but unpackaged) file(s) found:
   /usr/bin/osgvnc

Fix:

--- OpenSceneGraph.spec.orig	2012-09-02 18:00:12.000000000 +0200
+++ OpenSceneGraph.spec	2012-09-02 17:55:07.000000000 +0200
@@ -99,6 +99,7 @@
 %{_bindir}/osgconv
 %{_bindir}/osgversion
 %{_bindir}/osgviewer
+%{_bindir}/osgvnc
 %{_bindir}/osgfilecache
 %{_bindir}/present3D
Comment 1 Ralf Corsepius 2012-09-03 01:42:24 EDT
Thanks for the report.

AFAIS, this issue only seems to occur when building OpenSceneGraph when having libvncserver-devel installed. It therefore does not happen when building in Fedora mock environments. I'd therefore assume you're either building outside of mock or building in a customized mock-environment, which indirectly pulls in libvncserver-devel.

This non-deterministism in building definitely qualfies as a packaging bug, but I am not sure whether building this (non-important) example and the additional dependencies it pulls in are desireable or whether your observation is an indication of Fedora's OSG lacking a major feature.

To be investigated ...
Comment 2 Fedora Update System 2012-09-04 02:59:18 EDT
OpenSceneGraph-3.0.1-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/OpenSceneGraph-3.0.1-13.fc18
Comment 3 Fedora Update System 2012-09-17 18:19:45 EDT
OpenSceneGraph-3.0.1-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-10-04 10:07:55 EDT
OpenSceneGraph-3.0.1-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/OpenSceneGraph-3.0.1-13.fc17
Comment 5 Fedora Update System 2012-10-04 20:54:46 EDT
Package OpenSceneGraph-3.0.1-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OpenSceneGraph-3.0.1-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15401/OpenSceneGraph-3.0.1-13.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:20:01 EST
OpenSceneGraph-3.0.1-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.